Bug 982439 - [abrt] tuxmath-2.0.1-4.fc19: strlen: Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
[abrt] tuxmath-2.0.1-4.fc19: strlen: Process /usr/bin/tuxmath was killed by s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tuxmath (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:507a7cee12f0de473128f2a21b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 00:05 EDT by Amadeus W.M.
Modified: 2015-02-17 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.02 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: core_backtrace (1.05 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: dso_list (8.20 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: environ (2.80 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: maps (43.44 KB, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: open_fds (105 bytes, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details
File: var_log_messages (218 bytes, text/plain)
2013-07-09 00:06 EDT, Amadeus W.M.
no flags Details

  None (edit)
Description Amadeus W.M. 2013-07-09 00:05:58 EDT
Description of problem:
Testing tuxmath for the first time on a newly installed Fedora 19. 
Play alone -> Math Command Training Academy -> Multiplication and Division Review 
complete that level, then in the menu scroll to "Back" and hit return. 
I was able to replicate it, but it didn't crash the first time I hit "Back". First time it took me back to the Multiplication and Discussion Review and I completed that again. Only after that it crashed again, so one may have to try multiple times. 

Version-Release number of selected component:
tuxmath-2.0.1-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        tuxmath
crash_function: strlen
executable:     /usr/bin/tuxmath
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 3
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:31
 #1 __strdup at strdup.c:41
 #2 read_named_config_file at fileops.c:332
 #3 run_academy at menu.c:259
 #4 handle_activity at menu.c:142
 #5 T4K_RunMenu at t4k_menu.c:933
 #6 run_menu at menu.c:111
 #7 RunMainMenu at menu.c:755
 #8 TitleScreen at titlescreen.c:306
Comment 1 Amadeus W.M. 2013-07-09 00:06:01 EDT
Created attachment 770749 [details]
File: backtrace
Comment 2 Amadeus W.M. 2013-07-09 00:06:03 EDT
Created attachment 770750 [details]
File: cgroup
Comment 3 Amadeus W.M. 2013-07-09 00:06:06 EDT
Created attachment 770751 [details]
File: core_backtrace
Comment 4 Amadeus W.M. 2013-07-09 00:06:08 EDT
Created attachment 770752 [details]
File: dso_list
Comment 5 Amadeus W.M. 2013-07-09 00:06:10 EDT
Created attachment 770753 [details]
File: environ
Comment 6 Amadeus W.M. 2013-07-09 00:06:13 EDT
Created attachment 770754 [details]
File: limits
Comment 7 Amadeus W.M. 2013-07-09 00:06:15 EDT
Created attachment 770755 [details]
File: maps
Comment 8 Amadeus W.M. 2013-07-09 00:06:17 EDT
Created attachment 770756 [details]
File: open_fds
Comment 9 Amadeus W.M. 2013-07-09 00:06:21 EDT
Created attachment 770757 [details]
File: proc_pid_status
Comment 10 Amadeus W.M. 2013-07-09 00:06:23 EDT
Created attachment 770758 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 13:47:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:59:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.